Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.console
Interface IConsole

public interface IConsole

A console that displays output and writes input to a process. Implementors of `IConsoleColorProvider` should connect streams to a console document when connected to.

Clients are not intended to implement this interface.

Since:
  2.1
See Also:
  `IConsoleColorProvider`

Method Summary
`void` | `addLink(IConsoleHyperlink link, int offset, int length)` Adds the given hyperlink to this console.
`void` | `connect(IStreamMonitor streamMonitor, String streamIdentifer)` Connects this console to the given stream monitor, uniquely identified by the given identifier.
`void` | `connect(IStreamsProxy streamsProxy)` Connects this console to the given streams proxy.
`IDocument` | `getDocument()` Returns the document associated with this console.
`IProcess` | `getProcess()` Returns the process associated with this console.
`IRegion` | `getRegion(IConsoleHyperlink link)` Returns the region of text associated with the given hyperlink, or `null` if the given hyperlink is not contained in this console.

Method Detail

### connect

    public void connect(IStreamsProxy streamsProxy)

  Connects this console to the given streams proxy. This associates the standard in, out, and error streams with the console. Keyboard input will be written to the given proxy.

  Parameters:
    `streamsProxy` -

### connect

    public void connect(IStreamMonitor streamMonitor,
                        String streamIdentifer)

  Connects this console to the given stream monitor, uniquely identified by the given identifier. This allows for more than the standard (in, out, error) streams to be connected to the console.

  Parameters:
    `streamMonitor` -
    `streamIdentifer` -

### addLink

    public void addLink(IConsoleHyperlink link,
                        int offset,
                        int length)

  Adds the given hyperlink to this console. The link will be notified when entered, exited, and activated.

  If the link's region (offset/length) is within the console's document current bounds, it is added immediately. Otherwise, the link is added when the console's document grows to contain the link's region.

  Parameters:
    `link` - the hyperlink to add
    `offset` - the character offset within the console document where the text assoicated with the hyperlink begins
    `length` - the length of the associated hyperlink text

### getRegion

    public IRegion getRegion(IConsoleHyperlink link)

  Returns the region of text associated with the given hyperlink, or `null` if the given hyperlink is not contained in this console.

  Parameters:
    `link` - a console hyperlink
  Returns:
    region of text associated with the hyperlink, or `null`

### getDocument

    public IDocument getDocument()

  Returns the document associated with this console.

  Returns:
    document

### getProcess

    public IProcess getProcess()

  Returns the process associated with this console.

  Returns:
    the process associated with this console

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.